Package weka.gui.beans

# Class KnowledgeFlow

java.lang.Object
weka.gui.beans.KnowledgeFlow

public class KnowledgeFlow extends Object
Startup class for the KnowledgeFlow. Displays a splash screen.

Version:
  $Revision: 7059 $
Author:
  Mark Hall

## Constructor Summary

Constructors
Constructor
Description
`KnowledgeFlow()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Shows the splash screen, launches the application and then disposes the splash screen.
`static void`
`startApp()`
Static method that can be called from a running program to launch the KnowledgeFlow

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KnowledgeFlow

public KnowledgeFlow()

## Method Details

### startApp

public static void startApp()
Static method that can be called from a running program to launch the KnowledgeFlow

### main

public static void main(String[] args)
Shows the splash screen, launches the application and then disposes the splash screen.

Parameters:
  `args` - the command line arguments